# -*- python -*-
# $RCSfile: initialize.py,v $
# $Revision: 1.118 $
# $Author: reida $
# $Date: 2006/02/14 19:36:53 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 


# All components of engine that need initialization *before* they're
# used should be imported here.  Using OOFexec makes the names
# available in the __main__ environment in text mode.

from oof2.common import debug
from oof2.common import parallel_enable
from oof2.common import utils
import oof2.SWIG.engine.ooferror2

import oof2.engine.materialplugin
utils.OOFexec('from oof2.engine.problem import *')
import oof2.engine.IO.propertymenu
import oof2.engine.IO.materialmenu
import oof2.engine.builtinprops
import oof2.engine.skeleton
import oof2.engine.skeletoncontext
import oof2.engine.skeletonselectionmodes
import oof2.SWIG.engine.masterelement
import oof2.SWIG.engine.material
import oof2.SWIG.engine.eulerangle
import oof2.engine.boundary
import oof2.engine.IO.outputDefs
#import oof2.engine.IO.strain
import oof2.engine.IO.displaymethods
import oof2.engine.IO.contourdisplay
import oof2.engine.IO.centerfilldisplay
import oof2.engine.fieldinit
import oof2.engine.elements.initialize

import oof2.engine.IO.skeletonmenu
import oof2.engine.IO.pinnodesmenu
import oof2.engine.IO.boundarymenu
import oof2.engine.IO.boundarycondition
import oof2.engine.mesh
import oof2.SWIG.engine.femesh
import oof2.engine.IO.meshmenu
import oof2.SWIG.engine.solver

# skeleton and mesh modification stuff
import oof2.engine.refine
import oof2.engine.anneal
import oof2.engine.relaxation
import oof2.engine.smooth
import oof2.engine.snapnode
import oof2.engine.splitquads
import oof2.engine.rationalize
import oof2.engine.rationalshort
import oof2.engine.rationalwide
import oof2.engine.rationalsharp
import oof2.engine.edgeswap
import oof2.engine.mergetriangles
import oof2.engine.refinementtarget
import oof2.engine.vigilante
import oof2.engine.meshmod
import oof2.engine.adaptivemeshrefinement
import oof2.engine.revertmesh
import oof2.engine.skeletonmodifier

import oof2.engine.pixelselect
import oof2.SWIG.engine.pixelselectioncouriere
import oof2.engine.skeletonselectionmod
import oof2.engine.IO.skeletonselectiontoolbox
import oof2.engine.IO.skeletoninfo
import oof2.engine.IO.meshinfo
import oof2.engine.IO.movenode
import oof2.engine.IO.pinnodes
import oof2.engine.IO.meshcstoolbox

import oof2.engine.IO.skeletoninfodisplay
import oof2.engine.IO.meshinfodisplay
import oof2.engine.IO.movenodedisplay
import oof2.engine.IO.pinnodesdisplay
import oof2.engine.IO.meshcsdisplay

import oof2.engine.IO.elementselectdisplay
import oof2.engine.IO.nodeselectdisplay
import oof2.engine.IO.segmentselectdisplay
import oof2.engine.IO.skeletonbdydisplay
import oof2.engine.IO.skeletonselectmenu
import oof2.engine.IO.skeletongroupmenu
import oof2.engine.IO.microstructuredisplay
import oof2.engine.IO.solvermenu

import oof2.engine.IO.analyzemenu
import oof2.engine.IO.meshbdymenu

import oof2.SWIG.engine.cstrain
from oof2.SWIG.common import devel
if devel.devel()>=2:
    import oof2.engine.subproblemcontext
    import oof2.engine.IO.subproblemmenu
if parallel_enable.query() == 1:
    import oof2.engine.IO.materialmenuIPC
    import oof2.engine.IO.skeletonIPC
    import oof2.engine.deputyParallel

