# -*- python -*-
# $RCSfile: regression.py,v $
# $Revision: 1.10 $
# $Author: reida $
# $Date: 2006/03/16 16:24:53 $

# Top-level regression test file for the OOF application.  Knows about
# all the test suites in this directory, and what order to run them in
# in order to get a proper regression test.

import sys, imp

test_module_names = [
    "microstructure_test",
    "image_test",
    "pixel_test",
    "activearea_test",
    "microstructure_extra_test", 
    "skeleton_basic_test",
    "skeleton_select_test",
    "skeleton_bdy_test",
    "skeleton_extra_test",
    "material_property_test",
    "mesh_test",
    "mesh_modify_test",
    "solver_test"
    ]


if __name__=="__main__":
    try:
        from oof2.common import oof
    except ImportError:
        print "OOF is not correctly installed on this system."
        sys.exit(4)
    sys.argv.extend(["--text", "--quiet", "--seed=17"])
    oof.run(no_interp=1)

    for m in test_module_names:
        try:
            exec "import " + m + " as test_module" 
        except ImportError:
            print "Unable to load module '%s'." % m
        else:
            print "Running test module %s." % m
            # Make sure all the goodies in the OOF namespace are available.
            test_module.__dict__.update(globals())
            res = test_module.run_tests()
            if res==0: # failure.
                break
    OOF.File.Quit()
